brian (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Support NumPy 2.3+ (Closes: #1114696)
  * Standards-Version: 4.7.2 (routine-update)
  * d/patches: refreshed; removed rm-setuptools-dep.patch, it is no
    longer needed.
  * Fixed links to external docs to instead point to the packaged -docs.
  * d/control: add missing pytest plugins.
  * d/rules: respect Debian Policy 4.9.1 and use DEB_BUILD_OPTION_PARALLEL to
    set the level of pytest parallelism via PYTEST_XDIST_AUTO_NUM_WORKERS.
  * Exclude far fewer tests

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Sep 2025 15:32:14 +0200

brian (2.8.0.4-1) unstable; urgency=medium

  * New upstream version 2.8.0.4
  * d/patches/*: refresh most patches.

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Feb 2025 10:31:13 +0100

brian (2.8.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version compatible with Py3.13 (Closes: #1091403)
  * Refresh patches
  * Use dh-sequence-python3 to trim d/rules a bit

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 00:15:17 +0100

brian (2.7.1+ds-2) unstable; urgency=medium

  * rm-setuptools-dep.patch: new: remove dependency on setuptools.
    The dependency on setuptools encoded in upstream pyproject.toml
    results in pulling python3-pkg-resources, which is going to be
    removed. (Closes: #1083322)
  * d/s/lintian-overrides: remove: issue fixed in lintian.
  * d/rules: fix cleanup of standalone307987.

 -- Étienne Mollier <emollier@debian.org>  Wed, 09 Oct 2024 16:58:55 +0200

brian (2.7.1+ds-1) unstable; urgency=medium

  * New upstream version 2.7.1+ds
  * d/copyright: exclude examples/multiprocessing/standalone307987/main.
    This binary file looks to have been included in the upstream release
    by error and should probably not be part of the package at all.
  * d/watch: declare repack suffix +ds.
  * fix-minor-version-check.patch: new: compensate +ds suffix.
    This is needed to pass a version check test, which fails due to the
    newly introduced suffix.
  * d/copyright: cpp_generator.py now contains Apache-2.0 code.
  * privacy.patch: refresh.
  * reproducible.patch: delete: applied upstream.
  * pyproject-packages.patch: delete: applied upstream.
  * demote-cython.patch: refresh.
  * loongarch64.patch: delete: applied upstream.
  * Update line offset of remaining patches.
  * d/rules: README.rst was renamed README.md upstream.
  * workaround-test-failure.patch: new: fix test failing since sympy 1.13.
    (Closes: #1078394)
  * d/control: declare compliance to standards version 4.7.0.
  * Rename d/docs to explicit d/python3-brian.docs.
  * d/s/lintian-overrides: flag a set of false positives.
  * d/rules: remove leftover standalone307987 directory.
  * d/{rules,python3-brian.docs}: install Rallpack README along docs.

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Aug 2024 12:52:48 +0200

brian (2.5.4-4) unstable; urgency=medium

  * gsl-compiler-arg.patch: remove: applied upstream.
  * loongarch64.patch: new: further gsl optimizations.
    Thanks to liuxiang (Closes: #1059428)
  * d/rules: adjust hook for final cleanup.
    This fixes latent lintian warnings in python-brian-doc after
    architecture independent builds.
  * pyproject-packages.patch: declare commit applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Fri, 29 Dec 2023 09:51:12 +0100

brian (2.5.4-3) unstable; urgency=medium

  * d/control: suggest make and libgsl-dev.
    These packages can be necessary to run certain optimized GSL workloads.
  * demote-cython.patch: new: remove cython from deps. (Closes: #1057983)
  * d/control: python3-brian recommends cython3.
    While it is not part of the dependencies anymore, the package
    contributes greatly to brian performances, and some example workloads
    will not run without it.
  * d/python-brian-doc.lintian-overrides: remove mismatched override.

 -- Étienne Mollier <emollier@debian.org>  Thu, 14 Dec 2023 20:01:45 +0100

brian (2.5.4-2) unstable; urgency=medium

  * d/clean: also clean docs/ and egg info. (Closes: #1043920)
  * d/rules: make workaround for #739300 more robust.
    The initial shape of the workaround with sed and grep made it
    self-destruct on first pass, causing failure to build binary packages
    twice in a row.  Isolating one character of the regex immunizes the
    recipe against itself.  The check for existence of remaining files is
    also necessary so sed does not attempt to run on zero files.
    (Closes: #1049556)
  * d/rules: reinforce documentation cleanup.
    This also eases the Sphinx 7.1 and docutils 0.20 transition.
    (Closes: #1042608)

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Sep 2023 14:47:40 +0200

brian (2.5.4-1) unstable; urgency=medium

  * New upstream version 2.5.4
  * privacy.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Wed, 19 Jul 2023 22:05:58 +0200

brian (2.5.3-1) unstable; urgency=medium

  * New upstream version 2.5.3
  * privacy.patch: refresh.
  * gsl-compiler-arg.patch: refresh.
  * python3.11.patch: remove: applied upstream.
  * numpy1.24.patch: remove: applied upstream.
  * d/control: add pyproject build dependencies.
    Upstream is shifting to pyproject to declare packaging of brian2.
  * pyproject-packages.patch: new patch.
    This is needed to pull recursively all brian2 submodules, otherwise
    one the top level directory is installed, plus a handful of components
    from brian2.synapses somehow pulled by some other mean.
  * reproducible.patch: declare forwarding not-needed.
    The nature of the change makes it specific to Debian build context.

 -- Étienne Mollier <emollier@debian.org>  Fri, 30 Jun 2023 13:17:32 +0200

brian (2.5.1-3) unstable; urgency=medium

  * numpy1.24.patch: fix autopkgtest failure with numpy 1.24.
    Closes: #1027193

 -- Étienne Mollier <emollier@debian.org>  Mon, 09 Jan 2023 19:30:37 +0100

brian (2.5.1-2) unstable; urgency=medium

  * python3.11.patch: add; fix ftbfs with python3.11. (Closes: #1027936)
  * d/copyright: bump copyright year.
  * privacy.patch: mark forward not-needed.
  * sphinx.patch: mark forward not-needed.
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Wed, 04 Jan 2023 22:51:57 +0100

brian (2.5.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Refresh privacy.patch
  * Add mathjax-local.patch: fix numerous privacy breaches in documentation.
  * d/rules: adjust to new location of pytest cache.
  * d/python-brian-doc.lintian-overrides: update sphinx related overrides.

 -- Étienne Mollier <emollier@debian.org>  Sat, 02 Jul 2022 13:50:04 +0200

brian (2.5.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Feb 2022 12:11:32 +0100

brian (2.5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Drop redundant uupdate from watch file
  * Remove sphinx_tabs extension which is not packaged

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 09:59:23 +0100

brian (2.4.2-8) unstable; urgency=medium

  [ Andreas Tille ]
  * Standards-Version: 4.6.0
  * Apply multi-arch hints.
    + python3-brian-lib: Add Multi-Arch: same.
    + python-brian-doc: Add Multi-Arch: foreign.
  * Use secure URI in Homepage field.

  [ Étienne Mollier ]
  * d/rules: test only against default python version; fixes build failures
    when several python versions are available.
  * Delete ignore_failing_test.patch: skipping these tests does not seem
    justified anymore; this also fixes running the test suite with pytest.
  * d/rules: use upstream's documented build time test.  (Closes: #983411)
  * d/control: remove build time test dependency python3-nose.
  * Add fix-numpy-test.patch: compatibility with numpy 1.21.  (Closes: #999522)
  * d/control: suggest unit test dependencies in python3-brian.
  * d/control,d/tests: replace superficial autodep8-python autopkgtest by
    autopkgtests based on brian2.test() with good coverage.
  * d/copyright: update debian/* copyright year.
  * d/python-brian-doc.lintian-overrides: fix spelling-in-override-comment.
  * privacy.patch: remove badges from the README.rst; fix some of the privacy
    breaches caught by lintian.
  * d/rules: move some cleanup code before the last stages of package building;
    fix lintian warning package-contains-vcs-control-file.

 -- Étienne Mollier <emollier@debian.org>  Sat, 27 Nov 2021 20:07:49 +0100

brian (2.4.2-7) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Make build reproducible

  [ Étienne Mollier ]
  * d/control: update uploader address
  * d/watch: fix broken url to github

 -- Nilesh Patra <nilesh@debian.org>  Wed, 18 Aug 2021 16:02:56 +0530

brian (2.4.2-6) unstable; urgency=medium

  * Drop tuning on MIPS due to flaky builds: failed in unstable, although
    experimental build went through.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 20 Feb 2021 21:42:14 +0100

brian (2.4.2-5) unstable; urgency=medium

  * Fix detection of PA-RISC CPU on HP workstations.  The fallback method looks
    to otherwise work as expected, with the behavior of previous experiments.
  * Hopefully fix detection of SuperH CPU; Build-Depends are not available, so
    there are not much ways to check yet.
  * Rewrapped machine uname filters to be more condensed and less surprising.
  * debian/patches/gsl-compiler-arg.patch forwarded upstream.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Fri, 19 Feb 2021 14:45:38 +0100

brian (2.4.2-5~0exp0) experimental; urgency=medium

  * Team upload.
  * Improve gsl-compiler-arg.patch to squeeze out performances on any end user
    machine, in an architecture aware way.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 18 Feb 2021 19:42:27 +0100

brian (2.4.2-4) unstable; urgency=medium

  * Add myself to uploaders.
  * Attempt to undo harm done by erroneous experimental upload to unstable.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 04 Feb 2021 13:02:42 +0100

brian (2.4.2-4~0exp0) experimental; urgency=medium

  * Team upload.
  * Improve gsl-compiler-arg.patch to squeeze out performances on any end user
    machine, in an architecture aware way.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 03 Feb 2021 20:22:43 +0100

brian (2.4.2-3) unstable; urgency=medium

  * Team upload.
  * Add gsl-compiler-arg.patch to select sensible default build arguments, as
    several CPU architectures may otherwise not work with upstream's defaults,
    which mainly target amd64 CPUs.  Fixes FTBFS on a couple of architectures,
    including mipsel and riscv64.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 30 Jan 2021 19:16:49 +0100

brian (2.4.2-2) unstable; urgency=medium

  * Team Upload.
  * Fix import name (Fixes debci)
  * Add python3-setuptools to Depends

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 23 Dec 2020 23:31:19 +0530

brian (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * Take over package in Debian Med team maintenance
  * Delete debian/gbp.conf since repository now follows default
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build-Depends: python3-pytest
  * Ignore test test_cpp_standalone, test_functions, test_monitor
  * Also ignore test_stateupdaters and test_numpy_codegen which is
    questionable
  * Remove unneeded debian/blends (information is in upstream metadata)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Dec 2020 14:44:39 +0100

brian (2.2.2.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version providing Python3 support
    Closes: #936239, #876920
  * Verified that import works
    Closes: #896426
  * Point watch file to Github
  * debhelper-compat 9
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.4.1
  * Testsuite: autopkgtest-pkg-python
  * buildsystem=pybuild
  * Lintian-overrides for issues created by sphinx
  * hardening=+all
  * More verbose long descriptions

 -- Andreas Tille <tille@debian.org>  Thu, 03 Oct 2019 08:28:05 +0200

brian (1.4.3-1) unstable; urgency=medium

  * New upstream minor release
    - compatible with recent matplotlib (Closes: #811354)
  * debian/copyright
    - adjusted years and for BSD-3-clause

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 16 Feb 2016 09:38:34 -0500

brian (1.4.1-3) unstable; urgency=medium

  * Deprecate python-support (Closes: #785971)
  * Fix timestamp for sphinx based on the changelog.  Thanks Juan Picca for
    the report and the patch (Closes: #788393)
  * Moved debian/upstream to debian/upstream/metadata
  * Policy boost to 3.9.6 (no changes)
  * Tuned up debian/copyright

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 21 Aug 2015 16:41:19 +0200

brian (1.4.1-2) unstable; urgency=medium

  * Forgotten upload to unstable
  * debian/control
    - policy boost to 3.9.5
    - updated Vcs- fields given migration to anonscm.d.o and provided -b
      debian

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 30 Jul 2014 11:29:44 -0400

brian (1.4.1-1) experimental; urgency=low

  * New upstream release
    - absorbed/addressed all non deb_* patches
  * debian/rules
    - set http_proxy to avoid undesired network accesses
    - prefixed with 'set -e' all 'for' loops to guarantee failure if any fails
  	- set env variable BRIAN_SETUP_FAIL_ON_ERROR

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 Apr 2013 13:01:25 -0400

brian (1.4.0-1) experimental; urgency=low

  * Fresh upstream release
  * debian/patches:
    - added up_examples_shebangs patch to address lintian warnings on
      executable non-scripts
    - refreshed build_extensions patch to build extensions (assuming now
      that numpy is present)
    - cherry-picked 0001-C-version-of-SpikeContainer-now-picklable.patch to
      resolve pickling of swig'ed objects
  * debian/control:
    - boosted policy to 3.9.3 (no further changes)
    - removed not needed XS-DM-Upload-Allowed
  * debian/copyright:
    - DEP5 v.1.0 compliant now
    - moved references into debian/upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 30 Aug 2012 09:09:13 -0400

brian (1.3.1-1) unstable; urgency=low

  * Fresh upstream release
  * Boosted policy compliance to 3.9.2 (no changes)
  * Added up_skip_tests_with_paths patch to avoid test failures on custom
    test scripts with hardcoded paths

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Jan 2012 12:49:11 -0500

brian (1.3.0-2) unstable; urgency=low

  * Restrict numpy versioned dependency only to -lib package. Thanks Jakub
    Wilk

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Apr 2011 13:04:44 -0400

brian (1.3.0-1) unstable; urgency=low

  * Fresh upstream release
  * Suggest cherrypy and build-depend on dvipng

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Feb 2011 11:42:36 -0500

brian (1.2.2~svn2469-1) unstable; urgency=low

  * Upstream pre-release snapshot
  * debian/copyright - fixed Maintainer and Source entries
  * debian/rules:
    - set both HOME and MPLCONFIGDIR to point to build/.
      Should resolve issues of building when $HOME is read-only
      (Closes: #612548)
    - assure Agg matplotlib backend to avoid possible complications
      during off-screen operations
    - un-disabled hears unittests (model-fitting remains disabled due
      to absent dependency -- playdoh)
  * debian/control:
    - graphviz (for graphs rendering) and texlive-latex-base,
      texlive-latex-extra (for equations rendering) into build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Feb 2011 19:28:34 -0500

brian (1.2.2~svn2229-1) unstable; urgency=low

  * Initial release (Closes: #602246)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Nov 2010 18:19:15 -0400
